// status.h -- TStatusBar class declaration

#ifndef __STATUS_H
#define __STATUS_H    // Prevent multiple #includes

// Status bar class
_CLASSDEF(TStatusBar)
class TStatusBar: public TWindow {
  int currentID;      // Current resource ID
  int childHeight;    // Height of status bar child window
  HMENU hmenuSystem;  // Handle to System menu
  HMENU hmenuFile;    // Handle to File menu                                        
  HMENU hmenuEdit;    // Handle to Edit menu
public:
  TStatusBar(PTWindowsObject AParent);
  virtual void SetupWindow();
  virtual LPSTR GetClassName();
  virtual void GetWindowClass(WNDCLASS &AWndClass);
  void AdjustSize(WORD parentWidth, WORD parentHeight);
  void DisplayString(int resourceID);
  virtual void WMMenuSelect(RTMessage)
    = [WM_FIRST + WM_MENUSELECT];
  virtual void Paint(HDC PaintDC, PAINTSTRUCT &);
};

#endif    // __STATUS_H